Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.messaging
Interface IConsumer

All Superinterfaces:
  IMessageComponent

All Known Subinterfaces:
  IFilter, IPushableConsumer

All Known Implementing Classes:
  ClientBroadcastStream, ConnectionConsumer, FileConsumer, PlayEngine, ServerStream, StreamBandwidthController, StreamingProxy

    public interface IConsumer

extends IMessageComponent

Signature for the message consumer.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

Method Summary

Methods inherited from interface org.red5.server.messaging.IMessageComponent
`onOOBControlMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project